Bug 1501820 (CVE-2017-1000396)

Summary: CVE-2017-1000396 jenkins: Jenkins core bundled vulnerable version of the commons-httpclient library (SECURITY-555)
Product: [Other] Security Response Reporter: Adam Mariš <amaris>
Component: vulnerabilityAssignee: Red Hat Product Security <security-response-team>
Status: CLOSED NOTABUG QA Contact:
Severity: medium Docs Contact:
Priority: medium    
Version: unspecifiedCC: ahardin, bleanhar, ccoleman, dbaker, dedgar, dmcphers, java-sig-commits, jgoulding, jkeck, jokerman, mchappel, mizdebsk, mknowles, msrb
Target Milestone: ---Keywords: Security
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: jenkins 2.73.2, jenkins 2.83 Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2019-06-08 03:29:29 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:
Bug Depends On: 1558858, 1501973, 1558857    
Bug Blocks: 1501826    

Description Adam Mariš 2017-10-13 09:22:36 UTC
Jenkins bundled a version of the commons-httpclient library with the vulnerability CVE-2012-6153 that incorrectly verified SSL certificates, making it susceptible to man-in-the-middle attacks.

External References:

https://jenkins.io/security/advisory/2017-10-11/

Comment 1 Kurt Seifried 2017-10-13 15:34:31 UTC
Created jenkins tracking bugs for this issue:

Affects: openshift-1 [bug 1501973]

Comment 10 Jason Shepherd 2018-03-21 07:22:44 UTC
Created jenkins tracking bugs for this issue:

Affects: fedora-all [bug 1558858]

Comment 12 Jason Shepherd 2018-04-03 05:03:12 UTC
Openshift is now using Jenkins version 2.83.2. Marking both Online and Enterprise as not affected.